### Function

# EDataServer util_generate_uid

since: 3.26

#### Declaration [src]

    gchar*
    e_util_generate_uid (
      void
    )

#### Description [src]

Generates a unique identificator, which can be used as part of the Message-ID header, or iCalendar component UID, or vCard UID. The resulting string doesn’t contain any host name, it’s a hexa-decimal string with no particular meaning.

Free the returned string with g_free(), when no longer needed.

Available since: 3.26

#### Return value

Type: `gchar*`

Generated unique identificator as a newly allocated string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.